aboutsummaryrefslogtreecommitdiffstats
path: root/cron-sh/scripts
diff options
context:
space:
mode:
authorEugeni Dodonov <eugeni@mandriva.org>2010-03-02 23:10:17 +0000
committerEugeni Dodonov <eugeni@mandriva.org>2010-03-02 23:10:17 +0000
commit7ed24015281a826cb5d6ebff7c8b1d13d8be4e22 (patch)
tree3fe99d42b85dd08da17441a3117a302beb371a9e /cron-sh/scripts
parentdac3723fd8006e6946fbe1fdb8233a3716481b4d (diff)
downloadmsec-7ed24015281a826cb5d6ebff7c8b1d13d8be4e22.tar
msec-7ed24015281a826cb5d6ebff7c8b1d13d8be4e22.tar.gz
msec-7ed24015281a826cb5d6ebff7c8b1d13d8be4e22.tar.bz2
msec-7ed24015281a826cb5d6ebff7c8b1d13d8be4e22.tar.xz
msec-7ed24015281a826cb5d6ebff7c8b1d13d8be4e22.zip
using exit instead of return when checking if we are run from scripts
Diffstat (limited to 'cron-sh/scripts')
-rwxr-xr-xcron-sh/scripts/01_files.sh2
-rwxr-xr-xcron-sh/scripts/02_network.sh2
-rwxr-xr-xcron-sh/scripts/03_rpm.sh2
-rwxr-xr-xcron-sh/scripts/04_rootkit.sh2
-rwxr-xr-xcron-sh/scripts/05_access.sh2
-rwxr-xr-xcron-sh/scripts/06_sectool.sh2
6 files changed, 6 insertions, 6 deletions
diff --git a/cron-sh/scripts/01_files.sh b/cron-sh/scripts/01_files.sh
index 247465f..6aa7add 100755
--- a/cron-sh/scripts/01_files.sh
+++ b/cron-sh/scripts/01_files.sh
@@ -6,7 +6,7 @@ if [ -z "$MSEC_TMP" -o -z "$INFOS" -o -z "$SECURITY" -o -z "$DIFF" -o -z "$SECUR
# variables are set in security.sh and propagated to the subscripts
echo "Error: this check should be run by the main msec security check!"
echo " do not run it directly unless you know what you are doing."
- return 1
+ exit 1
fi
export SUID_ROOT_TODAY="/var/log/security/suid_root.${CURRENT_CHECK_TYPE}.today"
diff --git a/cron-sh/scripts/02_network.sh b/cron-sh/scripts/02_network.sh
index f0519ae..f790dee 100755
--- a/cron-sh/scripts/02_network.sh
+++ b/cron-sh/scripts/02_network.sh
@@ -6,7 +6,7 @@ if [ -z "$MSEC_TMP" -o -z "$INFOS" -o -z "$SECURITY" -o -z "$DIFF" -o -z "$SECUR
# variables are set in security.sh and propagated to the subscripts
echo "Error: this check should be run by the main msec security check!"
echo " do not run it directly unless you know what you are doing."
- return 1
+ exit 1
fi
export OPEN_PORT_TODAY="/var/log/security/open_port.${CURRENT_CHECK_TYPE}.today"
diff --git a/cron-sh/scripts/03_rpm.sh b/cron-sh/scripts/03_rpm.sh
index f303ee2..cf84d6e 100755
--- a/cron-sh/scripts/03_rpm.sh
+++ b/cron-sh/scripts/03_rpm.sh
@@ -6,7 +6,7 @@ if [ -z "$MSEC_TMP" -o -z "$INFOS" -o -z "$SECURITY" -o -z "$DIFF" -o -z "$SECUR
# variables are set in security.sh and propagated to the subscripts
echo "Error: this check should be run by the main msec security check!"
echo " do not run it directly unless you know what you are doing."
- return 1
+ exit 1
fi
export RPM_VA_TODAY="/var/log/security/rpm-va.${CURRENT_CHECK_TYPE}.today"
diff --git a/cron-sh/scripts/04_rootkit.sh b/cron-sh/scripts/04_rootkit.sh
index aca690d..1d0c041 100755
--- a/cron-sh/scripts/04_rootkit.sh
+++ b/cron-sh/scripts/04_rootkit.sh
@@ -6,7 +6,7 @@ if [ -z "$MSEC_TMP" -o -z "$INFOS" -o -z "$SECURITY" -o -z "$DIFF" -o -z "$SECUR
# variables are set in security.sh and propagated to the subscripts
echo "Error: this check should be run by the main msec security check!"
echo " do not run it directly unless you know what you are doing."
- return 1
+ exit 1
fi
export CHKROOTKIT_TODAY="/var/log/security/chkrootkit.${CURRENT_CHECK_TYPE}.today"
diff --git a/cron-sh/scripts/05_access.sh b/cron-sh/scripts/05_access.sh
index 2af0d2d..2c77b06 100755
--- a/cron-sh/scripts/05_access.sh
+++ b/cron-sh/scripts/05_access.sh
@@ -6,7 +6,7 @@ if [ -z "$MSEC_TMP" -o -z "$INFOS" -o -z "$SECURITY" -o -z "$DIFF" -o -z "$SECUR
# variables are set in security.sh and propagated to the subscripts
echo "Error: this check should be run by the main msec security check!"
echo " do not run it directly unless you know what you are doing."
- return 1
+ exit 1
fi
# check for changes in users
diff --git a/cron-sh/scripts/06_sectool.sh b/cron-sh/scripts/06_sectool.sh
index ef9fe6d..759e330 100755
--- a/cron-sh/scripts/06_sectool.sh
+++ b/cron-sh/scripts/06_sectool.sh
@@ -6,7 +6,7 @@ if [ -z "$MSEC_TMP" -o -z "$INFOS" -o -z "$SECURITY" -o -z "$DIFF" -o -z "$SECUR
# variables are set in security.sh and propagated to the subscripts
echo "Error: this check should be run by the main msec security check!"
echo " do not run it directly unless you know what you are doing."
- return 1
+ exit 1
fi
# check for changes in users